commit c735f7e4af9375bba17e133a0d7b69a79ef604f1
Author: Scott Wheeler <scott@directededge.com>
Date:   Thu Oct 23 15:32:32 2014 +0200

    Disable synthetic bold when antialiased fonts are disabled

diff --git a/src/macfont.m b/src/macfont.m
index ee86d9b..cb2d0be 100644
--- a/src/macfont.m
+++ b/src/macfont.m
@@ -2517,6 +2517,7 @@ macfont_open (struct frame * f, Lisp_Object entity, int pixel_size)
       && FONT_SLANT_NUMERIC (entity) == FONT_SLANT_SYNTHETIC_ITALIC)
     macfont_info->synthetic_italic_p = 1;
   if (!(sym_traits & MAC_FONT_TRAIT_BOLD)
+      && !NILP (ns_antialias_text)
       && FONT_WEIGHT_NUMERIC (entity) == FONT_WEIGHT_SYNTHETIC_BOLD)
     macfont_info->synthetic_bold_p = 1;
   if (sym_traits & MAC_FONT_TRAIT_MONO_SPACE)

commit aded58804f19f286a15b46f87f7835919f9c2efc
Author: Scott Wheeler <scott@directededge.com>
Date:   Thu Oct 23 03:13:14 2014 +0200

    Check to see if the user has explicitly disabled anti-aliasing

diff --git a/src/macfont.m b/src/macfont.m
index 69bde9f..ee86d9b 100644
--- a/src/macfont.m
+++ b/src/macfont.m
@@ -2768,7 +2768,8 @@ macfont_draw (struct glyph_string *s, int from, int to, int x, int y,
       CGFloat advance_delta = 0;
       int y_draw = -s->ybase;
       int no_antialias_p =
-	(macfont_info->antialias == MACFONT_ANTIALIAS_OFF
+	(NILP (ns_antialias_text)
+         || macfont_info->antialias == MACFONT_ANTIALIAS_OFF
 	 || (macfont_info->antialias == MACFONT_ANTIALIAS_DEFAULT
 	     && font_size <= macfont_antialias_threshold));
 
